commit: 3f017c12874469990152b1aa0e23fc5c178698f6
Author: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 1 00:23:38 2021 +0000
Commit: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Sun Aug 1 00:23:38 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f017c12
app-emulation/wine-vanilla: Sync with ::wine
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>
app-emulation/wine-vanilla/Manifest | 1 +
.../{wine-vanilla-9999.ebuild => wine-vanilla-6.14.ebuild} | 5 +++--
app-emulation/wine-vanilla/wine-vanilla-9999.ebuild | 4 ++--
3 files changed, 6 insertions(+), 4 deletions(-)
diff --git a/app-emulation/wine-vanilla/Manifest
b/app-emulation/wine-vanilla/Manifest
index bb8554a6d13..715115b32d2 100644
--- a/app-emulation/wine-vanilla/Manifest
+++ b/app-emulation/wine-vanilla/Manifest
@@ -5,3 +5,4 @@ DIST wine-6.10.tar.xz 24562432 BLAKE2B
aeb4efc6fcbdbbbfa71a99112224c77e1da10468e
DIST wine-6.11.tar.xz 24599644 BLAKE2B
47b8eefadd59e649ac331ee236b90dfffd86ea812699f3d804bd3a7d939d099c88c4b19cf8d8e0bbe2463298abe398528c132443350f3d5eba0d23e7a3a2889c
SHA512
d041ad99b6311f99df6ef40a64bc393acdc77ad4bf5f28111ebb88c133c3d338aff18f129fb30ae38cca24bf579834d4e6c7d252d5391f35b1ee81a91cc70c21
DIST wine-6.12.tar.xz 24666960 BLAKE2B
d8f33ac0d15977c1e0c206662c370feac351c7399c91cf5669fce50e60684ad85b40244925b4d304b540f5a78edc19b4ee32fe362250f8c390347d71320a09d8
SHA512
6d5646c44e656a88eb25174ce16038a8b0e1495c3deed8e959825cb26059fdda6e6519afeaeb28e4070fc5e05d7a3e1e5812ef09c31875f14f9233ba6a52f14c
DIST wine-6.13.tar.xz 24704408 BLAKE2B
abd79fd0d2a364fd6b7c2713924ad9883cf62e0febd7653984ce7520f41eaad71c06e0874ff46343ac7c253abb7d5e026b878dcf40235918f075e2bf7da0b8da
SHA512
7e1a16873f1a160960e44a38c7af743ea3a10bc545c5724745733d14093188134b74a4f60fbc54f38546b0ed053209b67e35ea131a9cda58ec8041855100c5ee
+DIST wine-6.14.tar.xz 24721316 BLAKE2B
3965d4071006a54f595baf329c1b238c4faa506d60597cfb5f8ccb127b9881d34d66e89cbdeff0d05a5e4a203a541edea8953565e2edf464ce4d2bfbf5e7a437
SHA512
261858dcf11604a6078b39faf64bd05288194647f8397efe03abcda1934ec5452e18f85dbb269e728ef532ac8ad39af5bbf5d8603f3598a20e2ef16f60405581
diff --git a/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
b/app-emulation/wine-vanilla/wine-vanilla-6.14.ebuild
similarity index 99%
copy from app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
copy to app-emulation/wine-vanilla/wine-vanilla-6.14.ebuild
index 834f66e2ec0..2e6b0599a89 100644
--- a/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
+++ b/app-emulation/wine-vanilla/wine-vanilla-6.14.ebuild
@@ -110,7 +110,7 @@ RDEPEND="${COMMON_DEPEND}
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
- mono? ( app-emulation/wine-mono:6.2.0 )
+ mono? ( app-emulation/wine-mono:6.3.0 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
@@ -144,6 +144,7 @@ PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-4.7-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-5.9-Revert-makedep-Install-also-generated-typelib-for-in.patch"
+ "${FILESDIR}/wine-vanilla-6.12-winegcc-equals-args.patch" #800809
)
PATCHES_BIN=()
@@ -492,7 +493,7 @@ multilib_src_install_all() {
plocale_for_each_locale add_locale_docs
einstalldocs
- find "${ED}" -name '*.la' -delete || die
+ find "${ED}" -name *.la -delete || die
if ! use perl ; then # winedump calls function_grep.pl, and winemaker
is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl}
\
diff --git a/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
b/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
index 834f66e2ec0..6f3f1c572f4 100644
--- a/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
+++ b/app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
@@ -110,7 +110,7 @@ RDEPEND="${COMMON_DEPEND}
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
- mono? ( app-emulation/wine-mono:6.2.0 )
+ mono? ( app-emulation/wine-mono:6.3.0 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
@@ -492,7 +492,7 @@ multilib_src_install_all() {
plocale_for_each_locale add_locale_docs
einstalldocs
- find "${ED}" -name '*.la' -delete || die
+ find "${ED}" -name *.la -delete || die
if ! use perl ; then # winedump calls function_grep.pl, and winemaker
is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl}
\